Package org.flowable.bpmn.model

# Class VariableAggregationDefinition

java.lang.Object
org.flowable.bpmn.model.VariableAggregationDefinition

public class VariableAggregationDefinition extends Object

Author:
  Joram Barrez, Filip Hrisafov

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `VariableAggregationDefinition.Variable`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `createOverviewVariable`
  `protected List<VariableAggregationDefinition.Variable>`
  `definitions`
  `protected String`
  `implementation`
  `protected String`
  `implementationType`
  `protected boolean`
  `storeAsTransientVariable`
  `protected String`
  `target`
  `protected String`
  `targetExpression`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariableAggregationDefinition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDefinition(VariableAggregationDefinition.Variable definition)`
  `VariableAggregationDefinition`
  `clone()`
  `List<VariableAggregationDefinition.Variable>`
  `getDefinitions()`
  `String`
  `getImplementation()`
  `String`
  `getImplementationType()`
  `String`
  `getTarget()`
  `String`
  `getTargetExpression()`
  `boolean`
  `isCreateOverviewVariable()`
  `boolean`
  `isStoreAsTransientVariable()`
  `void`
  `setCreateOverviewVariable(boolean createOverviewVariable)`
  `void`
  `setDefinitions(List<VariableAggregationDefinition.Variable> definitions)`
  `void`
  `setImplementation(String implementation)`
  `void`
  `setImplementationType(String implementationType)`
  `void`
  `setStoreAsTransientVariable(boolean storeAsTransientVariable)`
  `void`
  `setTarget(String target)`
  `void`
  `setTargetExpression(String targetExpression)`
  `void`
  `setValues(VariableAggregationDefinition otherVariableDefinitionAggregation)`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### implementationType

    protected String implementationType

  - ### implementation

    protected String implementation

  - ### target

    protected String target

  - ### targetExpression

    protected String targetExpression

  - ### definitions

    protected List<VariableAggregationDefinition.Variable> definitions

  - ### storeAsTransientVariable

    protected boolean storeAsTransientVariable

  - ### createOverviewVariable

    protected boolean createOverviewVariable

- ## Constructor Details

  - ### VariableAggregationDefinition

    public VariableAggregationDefinition()

- ## Method Details

  - ### getImplementationType

    public String getImplementationType()

  - ### setImplementationType

    public void setImplementationType(String implementationType)

  - ### getImplementation

    public String getImplementation()

  - ### setImplementation

    public void setImplementation(String implementation)

  - ### getTarget

    public String getTarget()

  - ### setTarget

    public void setTarget(String target)

  - ### getTargetExpression

    public String getTargetExpression()

  - ### setTargetExpression

    public void setTargetExpression(String targetExpression)

  - ### getDefinitions

    public List<VariableAggregationDefinition.Variable> getDefinitions()

  - ### setDefinitions

    public void setDefinitions(List<VariableAggregationDefinition.Variable> definitions)

  - ### addDefinition

    public void addDefinition(VariableAggregationDefinition.Variable definition)

  - ### isStoreAsTransientVariable

    public boolean isStoreAsTransientVariable()

  - ### setStoreAsTransientVariable

    public void setStoreAsTransientVariable(boolean storeAsTransientVariable)

  - ### isCreateOverviewVariable

    public boolean isCreateOverviewVariable()

  - ### setCreateOverviewVariable

    public void setCreateOverviewVariable(boolean createOverviewVariable)

  - ### clone

    public VariableAggregationDefinition clone()
    Overrides:
      `clone` in class `Object`

  - ### setValues

    public void setValues(VariableAggregationDefinition otherVariableDefinitionAggregation)